HttpComponents Core 5.0 alpha4 发布

HttpComponents Core 5.0 alpha4 已发布,这是一个主要版本,它的 HttpCore API 与稳定的 4.x 分支不兼容,并根据最新协议规范的要求和建议升级了 HTTP/1.1和 HTTP/2 协议。

5.0 系列中部分值得关注的变更和功能:

  • Support for HTTP/2 protocol and conformance to requirements and recommendations of the latest HTTP/2 protocol specification (RFC 7540,RFC 7541)

  • Improved conformance to requirements and recommendations of the latest HTTP/1.1 protocol specification (RFC 7230, RFC 7231)

  • New asynchronous HTTP transport APIs consistent for both HTTP/1.1 and HTTP/2 transport.

  • Redesigned I/O reactor APIs and improved NIO based reactor implementation for a greater performance and scalability.

详情请参阅发布主页更新说明

请注意,从 5.0 开始,HttpCore 需要 Java 1.7 或更高版本。

下载地址

HttpComponents 也就是以前的 httpclient 项目,可以用来提供高效的、最新的、功能丰富的支持 HTTP 协议的客户端/服务器编程工具包,并且它支持 HTTP 协议最新的版本和建议。不过现在的 HttpComponents 包含多个子项目,有:

  • HttpComponents Core

  • HttpComponents Client

  • HttpComponents AsyncClient

  • Commons HttpClient

Excerpt from: 

HttpComponents Core 5.0 alpha4 发布